package sgc.portal.base.storage;

import sgc.portal.base.exception.NestedRuntimeException;
import sgc.portal.base.exception.advice.ErrorConst;

/**
 * 첨부파일 저장에 실패할 경우
 *
 * @author YongSang
 * @version 1.0.0
 * @since 2020. 9. 5.
 */
@SuppressWarnings("serial")
public class StorageException extends NestedRuntimeException {
    /**
     * Instantiates a new Storage exception.
     *
     * @param code the code
     */
    public StorageException(final String code) {
        super(code);
    }

    /**
     * Instantiates a new Storage exception.
     *
     * @param code      the code
     * @param arguments the arguments
     */
    public StorageException(final String code, final Object... arguments) {
        super(code, arguments);
    }

    @Override
    public int getErrorCode() {
        return ErrorConst.STORAGE_ERROR;
    }
}